petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscHMapTPut

Set a key in the hash table

### Synopsis

    #include <petsc/private/hashmap.h>
    PetscErrorCode PetscHMapTPut(PetscHMapT ht,KeyType key,PetscHashIter *iter,PetscBool *missing)

### Input Parameters

| ht | - The hash table
| key | - The key

### Output Parameter

| iter | - Iterator referencing the value for key
| missing | - Boolean indicating whether the key was missing

### See Also

PetscHMapTIterSet(), PetscHMapTQuerySet(), PetscHMapTSet()

### Level

developer

### Location

include/petsc/private/hashmap.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages